Bug 1298140 - There is no proper icon in license window nor in date selection window for subscription-manager-gui
Summary: There is no proper icon in license window nor in date selection window for su...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: pre-dev-freeze
: ---
Assignee: Kevin Howell
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-13 10:28 UTC by qianzhan
Modified: 2017-03-21 10:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-21 10:54:25 UTC
Target Upstream Version:


Attachments (Terms of Use)
improper_icon_in_date_selection_window.png (228.30 KB, image/png)
2016-01-13 10:28 UTC, qianzhan
no flags Details
improper_icon_in_license_window.png (185.89 KB, image/png)
2016-01-13 10:29 UTC, qianzhan
no flags Details
Proper icon in date selection window (208.92 KB, image/png)
2016-11-04 10:29 UTC, Shwetha Kallesh
no flags Details
proper icon in license selection window (269.91 KB, image/png)
2016-11-04 10:31 UTC, Shwetha Kallesh
no flags Details


Links
System ID Priority Status Summary Last Updated
Github candlepin subscription-manager pull 1475 None None None 2016-09-06 13:08:22 UTC
Red Hat Product Errata RHSA-2017:0698 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2017-03-21 12:39:12 UTC

Description qianzhan 2016-01-13 10:28:10 UTC
Description of problem:
There is no proper icon in license window nor in date selection window for subscription-manager-gui

Version-Release number of selected component (if applicable):
subscription-manager: 1.16.7-1.el6
python-rhsm: 1.16.5-1.el6

How reproducible:
always

Steps to Reproduce:
1. Install RHEL-6.8-20160113.n.0.
2. Register the system again
3. Open subscription-manager-gui, and:
1) Open Help=>About=>License window, and check icon on the left-up corner
2) Click 'All Available Subscriptions' tab, then click Date icon to check icon on the left-up corner in date selection window.

Actual results:
1) The icon is improper. (see attachment 'improper_icon_in_license_window.png')
2) The icon is improper. (see attachment improper_icon_in_date_selection_window.png')

Expected results:
The icons should be proper as rhsm icon

Additional info:

Comment 1 qianzhan 2016-01-13 10:28:53 UTC
Created attachment 1114357 [details]
improper_icon_in_date_selection_window.png

Comment 2 qianzhan 2016-01-13 10:29:21 UTC
Created attachment 1114358 [details]
improper_icon_in_license_window.png

Comment 4 Chris Snyder 2016-09-08 22:17:16 UTC
Setting to MODIFIED as the fix was merged upstream before the branch for rhel 6.9. As such the first build of subman for rhel 6.9 should include this.

Comment 6 qianzhan 2016-10-18 06:28:32 UTC
Will verify this bug when RHEL6.9 build comes out.

Comment 7 Shwetha Kallesh 2016-11-04 10:29:15 UTC
Created attachment 1217347 [details]
Proper icon in date selection window

Comment 8 Shwetha Kallesh 2016-11-04 10:31:16 UTC
Created attachment 1217348 [details]
proper icon in license selection window

Comment 9 Shwetha Kallesh 2016-11-04 10:34:04 UTC
Marking bug as verified as I see the proper icons on both the windows

[root@dhcp35-71 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.20-1
subscription management rules: 5.15.1
subscription-manager: 1.18.3-1.el6
python-rhsm: 1.18.4-1.el6

Comment 11 errata-xmlrpc 2017-03-21 10:54:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0698.html


Note You need to log in before you can comment on or make changes to this bug.